<template>
  <div class="liste_home_movie">
      <div><h3 v-on:click = "afficher()">{{ movie.title }} <button class="v-btn btn" v-on:click="detail">Info</button> <button class="v-btn btn" v-on:click="edit">Edit</button> </h3>  </div>
    </div>
</template>
<script>
export default{
    data(){
        return{
        }
    },
    props:['movie'],
    methods:{
        afficher:function(){
            if(this.movie.display){
                this.movie.display = false;    
            }
            else{
            this.movie.display = true;
            }
        },

        detail:function(){
            this.$emit('detail',this.movie.id);
        },

        edit:function(){
            this.$emit('edit', this.movie.id);
        },
    }
}
</script>

